ToolzerHub Docs

List categories (v1)

Returns every category in the country's asos.com menu for women and men, with its menu path and the category_id to pass to Search.

1 credit / requestBilled only on success
GET
/v1/asos/categories

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

country?string

The country to shop from, as a two-letter code such as GB, US, DE, FR or AU, or a name such as United States. Sets the store, language and currency, as on asos.com. Defaults to GB.

Lengthlength <= 60
Default"GB"
curl -X GET "https://example.com/v1/asos/categories" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "country": "GB",    "count": 550,    "categories": [      {        "category_id": "4208",        "name": "Jeans",        "path": [          "Men",          "Clothing",          "SHOP BY PRODUCT",          "Jeans"        ],        "url": "https://www.asos.com/men/jeans/cat/?cid=4208"      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}